Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl
Class ReasonerPluginManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.ReasonerPluginManager

    public class ReasonerPluginManager

extends Object

Constructor Summary
`ReasonerPluginManager()`

Method Summary
`static Collection<Class>` | `getAvailableReasonerPluginClasses()`
`static Class<? extends ProtegeReasoner>` | `getReasonerJavaClass(String reasonerJavaClassName)`
`static String` | `getReasonerName(Class<? extends ProtegeReasoner> reasonerClass)`
`static ProtegeReasoner` | `getReasonerPluginInstance(Class<? extends ProtegeReasoner> reasonerJavaClass)`
`static ProtegeReasoner` | `getReasonerPluginInstance(OWLModel owlModel, Class<? extends ProtegeReasoner> reasonerJavaClass)`
`static ProtegeReasoner` | `getReasonerPluginInstance(OWLModel owlModel, String reasonerJavaClassName)`
`static ProtegeReasoner` | `getReasonerPluginInstance(String reasonerJavaClassName)`
`static Map<String,String>` | `getSuitableReasonerMap(OWLModel owlModel)`
`static Collection<String>` | `getSuitableReasonerNames(OWLModel owlModel)`
`static Collection<Class<? extends ProtegeReasoner>>` | `getSuitableReasonerPluginClasses(edu.stanford.smi.protege.model.Project project)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReasonerPluginManager

    public ReasonerPluginManager()

Method Detail

### getAvailableReasonerPluginClasses

    public static Collection<Class> getAvailableReasonerPluginClasses()

### getSuitableReasonerPluginClasses

    public static Collection<Class<? extends ProtegeReasoner>> getSuitableReasonerPluginClasses(edu.stanford.smi.protege.model.Project project)

### getReasonerPluginInstance

    public static ProtegeReasoner getReasonerPluginInstance(OWLModel owlModel,
                                                            Class<? extends ProtegeReasoner> reasonerJavaClass)

### getReasonerPluginInstance

    public static ProtegeReasoner getReasonerPluginInstance(Class<? extends ProtegeReasoner> reasonerJavaClass)

### getReasonerPluginInstance

    public static ProtegeReasoner getReasonerPluginInstance(String reasonerJavaClassName)

### getReasonerPluginInstance

    public static ProtegeReasoner getReasonerPluginInstance(OWLModel owlModel,
                                                            String reasonerJavaClassName)

### getReasonerJavaClass

    public static Class<? extends ProtegeReasoner> getReasonerJavaClass(String reasonerJavaClassName)

### getSuitableReasonerNames

    public static Collection<String> getSuitableReasonerNames(OWLModel owlModel)

### getSuitableReasonerMap

    public static Map<String,String> getSuitableReasonerMap(OWLModel owlModel)

### getReasonerName

    public static String getReasonerName(Class<? extends ProtegeReasoner> reasonerClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.